QT     += core gui declarative xml xmlpatterns

TARGET = happyfrog
TEMPLATE = app

CONFIG +=mobility
MOBILITY +=multimedia

SOURCES += \
    main.cpp \
    slingshot.cpp \
    frog.cpp \
    fixture.cpp \
    graphicsscene.cpp \
    roleitemmodel.cpp \
    fadeeffect.cpp \
    mainwindow.cpp

HEADERS  += \
    slingshot.h \
    frog.h \
    fixture.h \
    graphicsscene.h \
    construction.h \
    roleitemmodel.h \
    fadeeffect.h \
    mainwindow.h

RESOURCES += HappyFrog.qrc

VERSION = 0.0.4

#!symbian
symbian{
    load(data_caging_paths)
    ICON = HappyFrog.svg
    TARGET.EPOCHEAPSIZE = 0x20000 0x4000000
    LIBS += -lcone \
            -lavkon \
            -lapparc \
            -lapgrfx \
            -lws32
    #for Symbian^1 missing QtOpenGL.dso whem compiling
    QT_CONFIG -= opengl
}else{
    LIBS += -lBox2D
    QT +=  opengl
}

maemo{
    QT += dbus
}

OTHER_FILES += \
    Qml/TopListView.qml \
    fixtureInfo.xml \
    Qml/Button.qml \
    Qml/RightView.qml \
    Qml/LeftLevelView.qml \
    Qml/TipView.qml \
    Qml/MainView_Symbian.qml \
    qtc_packaging/debian_harmattan/rules \
    qtc_packaging/debian_harmattan/README \
    qtc_packaging/debian_harmattan/copyright \
    qtc_packaging/debian_harmattan/control \
    qtc_packaging/debian_harmattan/compat \
    qtc_packaging/debian_harmattan/changelog \
    Qml/MainView_Maemo5.qml \
    Qml/MainView_Harmattan.qml \
    qtc_packaging/debian_fremantle/rules \
    qtc_packaging/debian_fremantle/README \
    qtc_packaging/debian_fremantle/copyright \
    qtc_packaging/debian_fremantle/control \
    qtc_packaging/debian_fremantle/compat \
    qtc_packaging/debian_fremantle/changelog \
    Qml/MainView_Fremantle.qml \
    Qml/MainView_Desktop.qml


unix:!symbian {
    maemo5 {
        target.path = /opt/usr/bin
    } else {
        target.path = /usr/bin
    }
    INSTALLS += target
}

# Please do not modify the following two lines. Required for deployment.
include(deployment.pri)
qtcAddDeployment()
